Package: groovy.json.internal

## [Java] Class Dates

- groovy.json.internal.Dates

- Authors:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `JSON_TIME_LENGTH` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Date` | `fromISO8601(char[] charArray, int from, int to)`
    `` | `static Date` | `fromJsonDate(char[] charArray, int from, int to)`
    `` | `static boolean` | `isISO8601(char[] charArray, int start, int to)`
    `` | `static boolean` | `isISO8601QuickCheck(char[] charArray, int start, int to)`
    `` | `static boolean` | `isJsonDate(char[] charArray, int start, int to)`
    `` | `static Date` | `toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second)`
    `` | `static Date` | `toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second, int miliseconds)`
    `` | `static long` | `utc(long time)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final int JSON_TIME_LENGTH

  - ### Method Detail

    - #### public static Date fromISO8601(char[] charArray, int from, int to)

    - #### public static Date fromJsonDate(char[] charArray, int from, int to)

    - #### public static boolean isISO8601(char[] charArray, int start, int to)

    - #### public static boolean isISO8601QuickCheck(char[] charArray, int start, int to)

    - #### public static boolean isJsonDate(char[] charArray, int start, int to)

    - #### public static Date toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second)

    - #### public static Date toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second, int miliseconds)

    - #### public static long utc(long time)